# PhanesEngine

## Runtime

### MACROS

- P_WIN_BUILD: Game builds for windows.
- P_UNIX_BUILD: Game builds for unix system.
- P_ARM_BUILD: Game builds for ARM system.
- P_DEBUG: Engine compiles for debug game.
- P_DEBUGBREAK: Sets a debugbreak at the point.
- P_RELEASE: Engine compiles for release.
- P_BUILD_LIB: Should only be defined, when the engine is build.
- P_TEST: Builds engine for testing. 
- FORCEINLINE: Causes aggressive inlining.